import React from 'react';
import './App.css';
import Login from '../Pages/Login';
import CreateEvent from '../Pages/CreateEvent';
import MyTickets from '../Pages/MyTickets';
import Marketplace from '../Pages/Marketplace';
import NavBar from './NavBar';
import NotFound from '../Pages/NotFound'
import { BrowserRouter, Switch, Route} from 'react-router-dom'
import SignUp from '../Pages/SignUp';
import ForgotPassword from '../Pages/ForgotPassword';

function App() {
  return (
    <>
    <BrowserRouter>
      <NavBar />
      <Switch>
        <Route exact path='/'>
          <Marketplace />  
        </Route>
        <Route exact path='/Marketplace'>
          <Marketplace />  
        </Route>
        <Route exact path='/CreateEvent'>
          <CreateEvent />  
        </Route>
        <Route exact path='/MyTickets'>
          <MyTickets />  
        </Route>
        <Route exact path='/Login'>
          <Login />  
        </Route>
        <Route exact path='/SignUp'>
          <SignUp />  
        </Route>
        <Route exact path='/ForgotPassword'>
          <ForgotPassword />  
        </Route>
        <Route>
          <NotFound />  
        </Route>
      </Switch>
    </BrowserRouter>
    </>
  );
}

export default App;
